//
//  ViewController.m
//  Animacion Multiple
//
//  Created by Santiago Pavón on 21/09/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UILabel *unoLabel;
@property (weak, nonatomic) IBOutlet UILabel *dosLabel;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)anima:(id)sender {
	
    NSLog(@"Animando");

    [UIView animateWithDuration:4
                          delay:0
                        options:UIViewAnimationOptionBeginFromCurrentState
                     animations:^{
                         int x1 = 360 - self.unoLabel.center.x;
                         int y1 = self.unoLabel.center.y;
                         CGPoint p1 = CGPointMake(x1,y1);
                         self.unoLabel.center = p1;
                     }
                     completion:nil];
     
    [UIView animateWithDuration:2
                          delay:1
                        options:0
                     animations:^{
                         int x2 = 360 - self.dosLabel.center.x;
                         int y2 = self.dosLabel.center.y;
                         CGPoint p2 = CGPointMake(x2,y2);
                         self.dosLabel.center = p2;
                         
                     }
                     completion:nil];

}

@end
